Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://app.magna.so/api/external/v1/portals/creatives/create \ --header 'Content-Type: application/json' \ --header 'x-magna-api-token: <api-key>' \ --data ' { "storageKey": "<string>", "name": "<string>" } '
{ "isProcessed": true, "result": { "id": "doc...uuid", "storageKey": "images/portal/hero-abc123.png", "publicUrl": "https://.../images/portal/hero-abc123.png" } }
Register an uploaded portal asset so it can be referenced in portal configuration.
1
Successful response
Endpoint-specific result payload.